GET Contracts
https://pd.{shard}.a.pvp.net/contracts/v1/contracts/{puuid} Get contract details including agents, battlepass, missions, and recent games
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type ContractsResponse = {
Version: number;
/** Player UUID */
Subject: string;
Contracts: {
/** UUID */
ContractDefinitionID: string;
ContractProgression: {
TotalProgressionEarned: number;
TotalProgressionEarnedVersion: number;
HighestRewardedLevel: {
[x: string]: {
Amount: number;
Version: number;
};
};
};
ProgressionLevelReached: number;
ProgressionTowardsNextLevel: number;
}[];
ProcessedMatches: {
/** Match ID */
ID: string;
/** Milliseconds since epoch */
StartTime: number;
XPGrants: {
GamePlayed: number;
GameWon: number;
RoundPlayed: number;
RoundWon: number;
Missions: {};
Modifier: {
Value: number;
BaseMultiplierValue: number;
Modifiers: {
Value: number;
Name: "RESTRICTIONS_XP" | "PREMIUM_CONTRACT_XP";
BaseOnly: boolean;
}[];
};
NumAFKRounds: number;
} | null;
RewardGrants: {} | null;
MissionDeltas: {
[x: string]: {
/** UUID */
ID: string;
Objectives: {
[x: string]: number;
};
ObjectiveDeltas: {
[x: string]: {
/** UUID */
ID: string;
ProgressBefore: number;
ProgressAfter: number;
};
};
};
} | null;
ContractDeltas: {
[x: string]: {
/** UUID */
ID: string;
TotalXPBefore: number;
TotalXPAfter: number;
};
} | null;
CouldProgressMissions: boolean;
}[];
/** UUID */
ActiveSpecialContract: string;
Missions: {
/** UUID */
ID: string;
Objectives: {
[x: string]: number;
};
Complete: boolean;
/** Date in ISO 8601 format */
ExpirationTime: string;
}[];
MissionMetadata: {
NPECompleted: boolean;
/** Date in ISO 8601 format */
WeeklyCheckpoint: string;
/** Date in ISO 8601 format */
WeeklyRefillTime: string;
};
}; {
"Version": 4461057068260619,
"Subject": "9cB5b6DF-7119-2a05-d519-Ea4CBcb5e8cc",
"Contracts": [
{
"ContractDefinitionID": "FbB6eCa9-BBBD-a873-B2fC-55F4a0BCF1CE",
"ContractProgression": {
"TotalProgressionEarned": 5346165256887369,
"TotalProgressionEarnedVersion": 3836097687387865,
"HighestRewardedLevel": {
"commodo": {
"Amount": 63104719526585,
"Version": 515713535429319
}
}
},
"ProgressionLevelReached": 4775408450964321,
"ProgressionTowardsNextLevel": 5450617905795393
},
{
"ContractDefinitionID": "CAF550BD-2a76-2350-3C38-A68eff00be16",
"ContractProgression": {
"TotalProgressionEarned": 3793254866817824,
"TotalProgressionEarnedVersion": 5426264808620482,
"HighestRewardedLevel": {
"delicate": {
"Amount": 124282965354410,
"Version": 8339753465738829
}
}
},
"ProgressionLevelReached": 233072796995887,
"ProgressionTowardsNextLevel": 3149620062289613
},
{
"ContractDefinitionID": "B5a3AabD-0DE6-7a47-a63d-35BA0BDCAF3C",
"ContractProgression": {
"TotalProgressionEarned": 2582994852901164,
"TotalProgressionEarnedVersion": 1402138619762325,
"HighestRewardedLevel": {
"audeo": {
"Amount": 1605561727668888,
"Version": 7902136316664235
}
}
},
"ProgressionLevelReached": 7594130247136311,
"ProgressionTowardsNextLevel": 4312090143890444
},
{
"ContractDefinitionID": "6fb9a2cc-C045-dbfD-dF14-Fc0E67beADCF",
"ContractProgression": {
"TotalProgressionEarned": 1470966280003416,
"TotalProgressionEarnedVersion": 6852879021469812,
"HighestRewardedLevel": {
"dolore": {
"Amount": 1084697350176810,
"Version": 3641685707972437
}
}
},
"ProgressionLevelReached": 8867554809882672,
"ProgressionTowardsNextLevel": 5605244357688774
}
],
"ProcessedMatches": [
{
"ID": "E8dBf430-EeeA-cDDa-DcCc-56Fb8be41225",
"StartTime": "+024898-03-08T17:18:24.175Z",
"XPGrants": {
"GamePlayed": 1656294671031617,
"GameWon": 1161801674987643,
"RoundPlayed": 780682892381524,
"RoundWon": 1945800806065504,
"Missions": {},
"Modifier": {
"Value": 3885649869744931,
"BaseMultiplierValue": 3027221835495720,
"Modifiers": [
{
"Value": 4541328791819747,
"Name": "RESTRICTIONS_XP",
"BaseOnly": true
},
{
"Value": 6292051476796312,
"Name": "RESTRICTIONS_XP",
"BaseOnly": false
},
{
"Value": 4448778620874895,
"Name": "PREMIUM_CONTRACT_XP",
"BaseOnly": false
}
]
},
"NumAFKRounds": 2211423603949926
},
"RewardGrants": {},
"MissionDeltas": {
"e8F8b04E-2a62-eDAB-f7d3-cd34f404419b": {
"ID": "Edc11d75-F8dF-4DdB-6bdD-F7370cCd0DdA",
"Objectives": {
"709CD231-Ca56-ba49-5dA9-6c2F56E7c82a": 7769152681467241
},
"ObjectiveDeltas": {
"3dbacb7A-064e-D63a-Cd0E-58Ec1adED1d0": {
"ID": "BF2A2F13-e0EB-7B0B-9Cfd-24753f4D206c",
"ProgressBefore": 2017371312143935,
"ProgressAfter": 8247898670372248
}
}
}
},
"ContractDeltas": {
"B0Fbbcbe-bBed-0540-1E8F-2e7571a7e68C": {
"ID": "c481358E-387F-A0a4-fD40-E88eD84E2a64",
"TotalXPBefore": 8048291809057695,
"TotalXPAfter": 4019158420721722
}
},
"CouldProgressMissions": false
},
{
"ID": "fA6C7fBc-e7Ec-F83e-baf2-EcDF0fca1F00",
"StartTime": "+225564-10-01T23:22:52.916Z",
"XPGrants": {
"GamePlayed": 6718311891436430,
"GameWon": 3079907136104884,
"RoundPlayed": 208155895077637,
"RoundWon": 8415613773417777,
"Missions": {},
"Modifier": {
"Value": 4170786216313607,
"BaseMultiplierValue": 7226329263733530,
"Modifiers": [
{
"Value": 5442741409793496,
"Name": "RESTRICTIONS_XP",
"BaseOnly": false
},
{
"Value": 3428020654532776,
"Name": "PREMIUM_CONTRACT_XP",
"BaseOnly": true
},
{
"Value": 4140886150361023,
"Name": "RESTRICTIONS_XP",
"BaseOnly": false
}
]
},
"NumAFKRounds": 6130098156169979
},
"RewardGrants": {},
"MissionDeltas": {
"BD1fD6bB-45A1-8c8e-53Bd-cBe9A0De9cEC": {
"ID": "a6D2Fafb-8bEb-e99C-C50D-378A7B8c83c8",
"Objectives": {
"55F283E5-e125-fA7A-08EE-29fec1b7dfCD": 922672259739180
},
"ObjectiveDeltas": {
"5D79A6fc-54c4-71B8-7023-40aaD4BeEC70": {
"ID": "8DF1db4c-FD23-ADCC-0FA1-F3cbA21dc713",
"ProgressBefore": 7413982648646893,
"ProgressAfter": 2168718983056029
}
}
}
},
"ContractDeltas": {
"476050dD-22B0-E0e8-afC2-C659BfacC35d": {
"ID": "46E5d0c4-10e1-4aAd-AfaB-a8D1EbAbeDbB",
"TotalXPBefore": 4431591565050420,
"TotalXPAfter": 1688090911420444
}
},
"CouldProgressMissions": true
},
{
"ID": "4ec22bC1-Ebb4-dDB4-EDFc-1f2A1Ea7A89B",
"StartTime": "8869-06-13T08:52:40.092Z",
"XPGrants": {
"GamePlayed": 4409016845688133,
"GameWon": 2709738593143232,
"RoundPlayed": 3926186947500758,
"RoundWon": 6725145514624489,
"Missions": {},
"Modifier": {
"Value": 6359031219511502,
"BaseMultiplierValue": 8772982120303620,
"Modifiers": [
{
"Value": 8627698000324241,
"Name": "PREMIUM_CONTRACT_XP",
"BaseOnly": true
}
]
},
"NumAFKRounds": 5812629521915930
},
"RewardGrants": {},
"MissionDeltas": {
"Bd01095A-c8df-C3D4-8CEF-bdda7CFdeD25": {
"ID": "bFFd57Cd-2bA0-1D99-64e5-Ea5ED5aa1aDC",
"Objectives": {
"AF9eF250-eeEa-eAc5-1e2f-10EADAb7f2F6": 227797368057637
},
"ObjectiveDeltas": {
"AfB7AEa6-461A-EAa3-3553-3CaFc5F93937": {
"ID": "4a2acB00-c5Be-Cf07-D8AC-F95aF3bFf56f",
"ProgressBefore": 5296551239009708,
"ProgressAfter": 8358944054738217
}
}
}
},
"ContractDeltas": {
"4E7abFDA-999B-fA3b-4dFb-Fe6fcadA7Ef1": {
"ID": "3aaeea25-aD62-2D68-0516-b4fC733cFF50",
"TotalXPBefore": 4325305271078781,
"TotalXPAfter": 8850303429525763
}
},
"CouldProgressMissions": true
}
],
"ActiveSpecialContract": "00996A16-0720-9Def-3dDC-09d34ED870E1",
"Missions": [
{
"ID": "D90283ad-3bF0-d69e-bAE2-c16A284d6CdA",
"Objectives": {
"59FADbCF-bCF4-9F84-F3E9-8Ad6ceDF7fdB": 6806410641467763
},
"Complete": true,
"ExpirationTime": "2026-06-07T23:08:45.952Z"
},
{
"ID": "12eAFAD4-DCC4-DDab-e5Ba-41c2F8f29b7A",
"Objectives": {
"d2BE5e9d-6DC7-1d90-8CDc-eF5C2b0Cc58B": 3547574495178592
},
"Complete": true,
"ExpirationTime": "2026-06-08T17:11:55.631Z"
}
],
"MissionMetadata": {
"NPECompleted": true,
"WeeklyCheckpoint": "2026-06-08T03:10:31.681Z",
"WeeklyRefillTime": "2026-06-08T18:22:14.340Z"
}
}